Package org.kapott.hbci.manager

# Class BankInfo

java.lang.Object
org.kapott.hbci.manager.BankInfo

public class BankInfo extends Object
Kapselt die Infos zu einer Bank.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBic()`
Liefert die BIC.
`String`
`getBlz()`
Liefert die BLZ.
`String`
`getChecksumMethod()`
Liefert die Nummer des Pruefziffern-Verfahrens.
`String`
`getLocation()`
Liefert den Ort der Bank.
`String`
`getName()`
Liefert den Namen der Bank.
`String`
`getPinTanAddress()`
Liefert die HBCI-URL fuer das Verfahren PIN/TAN.
`HBCIVersion`
`getPinTanVersion()`
Liefert die HBCI-Version fuer das Verfahren PIN/TAN.
`String`
`getRdhAddress()`
Liefert die Server-Adresse fuer das Verfahren Schluesseldatei.
`HBCIVersion`
`getRdhVersion()`
Speichert die HBCI-Version fuer das Verfahren Schluesseldatei.
`void`
`setBic(String bic)`
Speichert die BIC.
`void`
`setBlz(String blz)`
Speichert die BLZ.
`void`
`setChecksumMethod(String checksumMethod)`
Speichert die Nummer des Pruefziffern-Verfahrens.
`void`
`setLocation(String location)`
Speichert den Ort der Bank.
`void`
`setName(String name)`
Speichert den Namen der Bank.
`void`
`setPinTanAddress(String pinTanAddress)`
Speichert die HBCI-URL fuer das Verfahren PIN/TAN.
`void`
`setPinTanVersion(HBCIVersion pinTanVersion)`
Speichert die HBCI-Version fuer das Verfahren PIN/TAN.
`void`
`setRdhAddress(String rdhAddress)`
Speichert die Server-Adresse fuer das Verfahren Schluesseldatei.
`void`
`setRdhVersion(HBCIVersion rdhVersion)`
Liefert die HBCI-Version fuer das Verfahren Schluesseldatei.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getBlz

public String getBlz()
Liefert die BLZ.

Returns:
  die BLZ.

### setBlz

public void setBlz(String blz)
Speichert die BLZ.

Parameters:
  `blz` - die BLZ.

### getBic

public String getBic()
Liefert die BIC.

Returns:
  die BIC.

### setBic

public void setBic(String bic)
Speichert die BIC.

Parameters:
  `bic` - die BIC.

### getChecksumMethod

public String getChecksumMethod()
Liefert die Nummer des Pruefziffern-Verfahrens.

Returns:
  die Nummer des Pruefziffern-Verfahrens.

### setChecksumMethod

public void setChecksumMethod(String checksumMethod)
Speichert die Nummer des Pruefziffern-Verfahrens.

Parameters:
  `checksumMethod` - die Nummer des Pruefziffern-Verfahrens.

### getLocation

public String getLocation()
Liefert den Ort der Bank.

Returns:
  Ort der Bank.

### setLocation

public void setLocation(String location)
Speichert den Ort der Bank.

Parameters:
  `location` - der Ort der Bank.

### getName

public String getName()
Liefert den Namen der Bank.

Returns:
  der Name der Bank.

### setName

public void setName(String name)
Speichert den Namen der Bank.

Parameters:
  `name` - der Name derBank.

### getPinTanAddress

public String getPinTanAddress()
Liefert die HBCI-URL fuer das Verfahren PIN/TAN.

Returns:
  die HBCI-URL fuer das Verfahren PIN/TAN.

### setPinTanAddress

public void setPinTanAddress(String pinTanAddress)
Speichert die HBCI-URL fuer das Verfahren PIN/TAN.

Parameters:
  `pinTanAddress` - die HBCI-URL fuer das Verfahren PIN/TAN.

### getPinTanVersion

public HBCIVersion getPinTanVersion()
Liefert die HBCI-Version fuer das Verfahren PIN/TAN.

Returns:
  die HBCI-Version fuer das Verfahren PIN/TAN.

### setPinTanVersion

public void setPinTanVersion(HBCIVersion pinTanVersion)
Speichert die HBCI-Version fuer das Verfahren PIN/TAN.

Parameters:
  `pinTanVersion` - die HBCI-Version fuer das Verfahren PIN/TAN.

### getRdhAddress

public String getRdhAddress()
Liefert die Server-Adresse fuer das Verfahren Schluesseldatei.

Returns:
  die Server-Adresse fuer das Verfahren Schluesseldatei.

### setRdhAddress

public void setRdhAddress(String rdhAddress)
Speichert die Server-Adresse fuer das Verfahren Schluesseldatei.

Parameters:
  `rdhAddress` - die Server-Adresse fuer das Verfahren Schluesseldatei.

### getRdhVersion

public HBCIVersion getRdhVersion()
Speichert die HBCI-Version fuer das Verfahren Schluesseldatei.

Returns:
  die HBCI-Version fuer das Verfahren Schluesseldatei.

### setRdhVersion

public void setRdhVersion(HBCIVersion rdhVersion)
Liefert die HBCI-Version fuer das Verfahren Schluesseldatei.

Parameters:
  `rdhVersion` - die HBCI-Version fuer das Verfahren Schluesseldatei.

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`